# ReactomePA: Reactome Pathway Analysis

[![platform](http://www.bioconductor.org/shields/availability/devel/ReactomePA.svg)](http://www.bioconductor.org/packages/devel/bioc/html/ReactomePA.html#archives)
[![Build Status](http://www.bioconductor.org/shields/build/devel/bioc/ReactomePA.svg)](http://bioconductor.org/checkResults/devel/bioc-LATEST/ReactomePA/)
[![Bioc](http://www.bioconductor.org/shields/years-in-bioc/ReactomePA.svg)](http://www.bioconductor.org/packages/devel/bioc/html/ReactomePA.html#since)
[![post](http://www.bioconductor.org/shields/posts/ReactomePA.svg)](https://support.bioconductor.org/t/ReactomePA/)
[![commit](http://www.bioconductor.org/shields/commits/bioc/ReactomePA.svg)](http://www.bioconductor.org/packages/devel/bioc/html/ReactomePA.html#svn_source)
[![download](http://www.bioconductor.org/shields/downloads/ReactomePA.svg)](http://bioconductor.org/packages/stats/bioc/ReactomePA.html)


This package provides functions for pathway analysis based on REACTOME pathway database. It implements enrichment analysis, gene set enrichment analysis and several functions for visualization.

## Authors ##

Guangchuang YU, School of Public Health, The University of Hong Kong [http://ygc.name](http://ygc.name)

## License ##

All source code is copyright, under the GPL-2 License.
For more information on GPL-2 License see [http://www.gnu.org/licenses/gpl-2.0.html](http://www.gnu.org/licenses/gpl-2.0.html)

## Installation ##

To install:
 * the latest released version:
   `biocLite("ReactomePA")`
 * the latest development version:
   `install_github(c("GuangchuangYu/DOSE", "GuangchuangYu/ReactomePA"))`



## Documentation ##

+ [Why clusterProfiler fails](http://ygc.name/2014/08/07/why-clusterprofiler-fails/)
+ [use clusterProfiler as an universal enrichment analysis tool](http://ygc.name/2015/05/11/use-clusterprofiler-as-an-universal-enrichment-analysis-tool/)
+ [Enrichment map](http://ygc.name/2014/08/03/enrichment-map/)
+ [dotplot for enrichment result](http://ygc.name/2015/06/23/dotplot-for-enrichment-result/)
+ [functional enrichment for GTEx paper](http://ygc.name/2015/08/13/functional-enrichment-for-gtex-paper/)
+ [functional enrichment analysis with NGS data](http://ygc.name/2015/08/21/functional-enrichment-analysis-with-ngs-data/)


To view the vignette of `ReactomePA` installed in your system, start `R` and enter:
```r
vignette("ReactomePA", package="ReactomePA")
```


## Bugs/Feature requests ##

 - If you have any, [let me know](https://github.com/GuangchuangYu/ReactomePA/issues). Thx!
